/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

:host {
  display: inline-flex;
  flex-flow: row;
  width: 100%;
}

.field-label {
  margin: 0;
  display: inline-block;
}

.field-control {
  width: 100%;
  display: flex;
  flex-flow: column;
}

.field-control-input-container {
  position: relative;
  display: inline-block;
  width: 100%;

  input {
    padding-right: 2.375em;
  }
}

.field-control-input-btn {
  position: absolute;
  top: 0;
  right: 0;
  text-decoration: unset;
}
